export function iter(value: any): IndexableIterator;
export function clone(state: ParserState): any;
export function succeed<T>(v: T | T[], [x, y]: ParserState): any;
export function fail(msg: string, state: ParserState, e?: Error): any;
export function nth<T>(n: number & keyof T, iter: T[]): T[][number & keyof T];
export function next(state: ParserState): any;
export function diff<T>(a: T[], b: T[]): T[];
export const join: any;
export const mapStr: any;
import { IndexableIterator } from './iter.js';
import type { ParserState } from './state.js';
